package com.pcloud.book.book.dto;

import com.pcloud.common.dto.BaseDto;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 */
public class BookInfo4AnlysicsDTO extends BaseDto {

    @ApiModelProperty("图书ID")
    private Long bookId;
    @ApiModelProperty("图书名字")
    private String bookName;
    private String templeName;
    @ApiModelProperty("是否基金书籍")
    private Boolean isFundSupport;
    @ApiModelProperty("ISBN")
    private String isbn;

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getTempleName() {
        return templeName;
    }

    public void setTempleName(String templeName) {
        this.templeName = templeName;
    }

    public Boolean getIsFundSupport() {
        return isFundSupport;
    }

    public void setIsFundSupport(Boolean isFundSupport) {
        this.isFundSupport = isFundSupport;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    @Override
    public String toString() {
        return "BookInfo4AnlysicsDTO{" +
                "bookId=" + bookId +
                ", bookName='" + bookName + '\'' +
                ", templeName='" + templeName + '\'' +
                ", isFundSupport=" + isFundSupport +
                ", isbn='" + isbn + '\'' +
                '}';
    }
}
